com.tibbo.aggregate.common.resource

## Class ResourceManager

- java.lang.Object
- - com.tibbo.aggregate.common.resource.ResourceManager

-     public class ResourceManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLIENT_CUSTOMIZATION_RESOURCES_FILENAME`
    `static java.lang.String` | `CUSTOMIZATION_RESOURCES_FILENAME`
    `static java.lang.String` | `ICON_FILE_EXTENSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(WrappingResourceBundle bundle)`
    `static javax.swing.ImageIcon` | `getImageIcon(java.lang.String id)`
    `static java.util.Locale` | `getLocale()`
    `static byte[]` | `getResource(java.lang.String name)`
    `static void` | `initialize(java.lang.Class resClass)`
    `static void` | `initialize(java.net.URI customizationUrl, java.lang.Class resClass)`
    `static void` | `process(WrappingResourceBundle bundle)`
    `static void` | `putIconToCache(java.lang.String name, javax.swing.ImageIcon icon)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICON_FILE_EXTENSION

          public static final java.lang.String ICON_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### CUSTOMIZATION_RESOURCES_FILENAME

          public static final java.lang.String CUSTOMIZATION_RESOURCES_FILENAME

      See Also:
        Constant Field Values

    - #### CLIENT_CUSTOMIZATION_RESOURCES_FILENAME

          public static final java.lang.String CLIENT_CUSTOMIZATION_RESOURCES_FILENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceManager

          public ResourceManager()

  - ### Method Detail

    - #### initialize

          public static void initialize(java.lang.Class resClass)

    - #### initialize

          public static void initialize(java.net.URI customizationUrl,
                                        java.lang.Class resClass)

    - #### getImageIcon

          public static javax.swing.ImageIcon getImageIcon(java.lang.String id)

    - #### getResource

          public static byte[] getResource(java.lang.String name)

    - #### process

          public static void process(WrappingResourceBundle bundle)

    - #### add

          public static void add(WrappingResourceBundle bundle)

    - #### getLocale

          public static java.util.Locale getLocale()

    - #### putIconToCache

          public static void putIconToCache(java.lang.String name,
                                            javax.swing.ImageIcon icon)